Package org.openoffice.da.comp.w2lcommon.helper

# Class MessageBox

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.MessageBox

public class MessageBox extends Object
This class provides simple access to a uno awt message box

## Constructor Summary

Constructors
Constructor
Description
`MessageBox(com.sun.star.uno.XComponentContext xContext)`
Create a new MessageBox belonging to the current frame
`MessageBox(com.sun.star.uno.XComponentContext xContext, com.sun.star.frame.XFrame xFrame)`
Create a new MessageBox belonging to a specific frame

## Method Summary

Modifier and Type
Method
Description
`void`
`showMessage(String sTitle, String sMessage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MessageBox

public MessageBox(com.sun.star.uno.XComponentContext xContext)
Create a new MessageBox belonging to the current frame

### MessageBox

public MessageBox(com.sun.star.uno.XComponentContext xContext, com.sun.star.frame.XFrame xFrame)
Create a new MessageBox belonging to a specific frame

## Method Details

### showMessage

public void showMessage(String sTitle, String sMessage)